AlreadyExistsException (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.exceptions

## Class AlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException
        - - org.apache.cassandra.exceptions.RequestValidationException
          - - org.apache.cassandra.exceptions.ConfigurationException
            - - org.apache.cassandra.exceptions.AlreadyExistsException

- All Implemented Interfaces:
    java.io.Serializable, TransportException

      public class AlreadyExistsException
      extends ConfigurationException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cfName`
    `java.lang.String` | `ksName`

    - ### Fields inherited from class org.apache.cassandra.exceptions.ConfigurationException

      `logStackTrace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlreadyExistsException(java.lang.String ksName)`
    `AlreadyExistsException(java.lang.String ksName, java.lang.String cfName)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cassandra.exceptions.CassandraException

      `code`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

      `getMessage`

- - ### Field Detail

    - #### ksName

          public final java.lang.String ksName

    - #### cfName

          public final java.lang.String cfName

  - ### Constructor Detail

    - #### AlreadyExistsException

          public AlreadyExistsException(java.lang.String ksName,
                                        java.lang.String cfName)

    - #### AlreadyExistsException

          public AlreadyExistsException(java.lang.String ksName)

Copyright © 2018 The Apache Software Foundation